Retrieve mailq output
GET
/system/mailq
const url = 'https://example.com/api/v1/system/mailq';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/mailq \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Output returned
Media typeapplication/json
object
postfixMailq
Output of the postfix mailq command
string
gromoxMailq
Output of the gromox-mailq command
string
postqueue
Output of postqueue -j
Array<object>
object
Examplegenerated
{ "postfixMailq": "example", "gromoxMailq": "example", "postqueue": [ {} ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}